%define name            cryptsetup
%define version         1.5.1
%define release         %mkrel 2
%define subver          %{nil}
%define major		4
%define libname		%mklibname cryptsetup %major
%define dlibname	%mklibname cryptsetup -d

%bcond_with compatible
%bcond_with static

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Utility for setting up encrypted filesystems
License:	GPLv2
Group:		System/Base
URL:		http://code.google.com/p/cryptsetup/
Source0:	http://cryptsetup.googlecode.com/files/%{name}-%{version}%{subver}.tar.bz2
Source1:	http://cryptsetup.googlecode.com/files/%{name}-%{version}%{subver}.tar.bz2.asc
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libgpg-error-devel
BuildRequires:	libdevmapper-devel
BuildRequires:	libuuid-devel
BuildRequires:	libpopt-devel
%if %{with static}
BuildRequires:	glibc-static-devel
%endif
Obsoletes:	cryptsetup-luks < 1.0.5
Provides:	cryptsetup-luks = %{version}-%{release}
Requires(pre):	filesystem >= 2.1.9-18

%description
LUKS is the upcoming standard for Linux hard disk encryption. 
By providing a standard on-disk-format, it does not only facilitate 
compatibility among distributions, but also provide secure management 
of multiple user passwords. In contrast to existing solution, LUKS stores 
all setup necessary setup information in the partition header, enabling 
the user to transport or migrate his data seamlessly.
LUKS for dm-crypt is implemented in cryptsetup. cryptsetup-luks is
as a complete replacement for the original cryptsetup. It provides all the 
functionally of the original version plus all LUKS features, that are 
accessible by luks* action.

%package -n	%libname
Summary:	Library for setting up encrypted filesystems
Group:		System/Libraries

%description -n %libname
LUKS is the upcoming standard for Linux hard disk encryption.
By providing a standard on-disk-format, it does not only facilitate
compatibility among distributions, but also provide secure management
of multiple user passwords. In contrast to existing solution, LUKS stores
all setup necessary setup information in the partition header, enabling
the user to transport or migrate his data seamlessly.

This package contains the shared libraries required for running
programs which use cryptsetup-luks.


%package -n	%dlibname
Summary:	Development library for setting up encrypted filesystems
Group:		Development/C
Requires:	%libname = %{version}-%{release}
Provides:	cryptsetup-devel
Provides:	%name-devel = %{version}-%{release}
Obsoletes:	%mklibname -d cryptsetup 0

%description -n %dlibname
LUKS is the upcoming standard for Linux hard disk encryption.
By providing a standard on-disk-format, it does not only facilitate
compatibility among distributions, but also provide secure management
of multiple user passwords. In contrast to existing solution, LUKS stores
all setup necessary setup information in the partition header, enabling
the user to transport or migrate his data seamlessly.

This package contains the header files and development libraries
for building programs which use cryptsetup-luks.

%prep
%setup -q -n %{name}-%{version}%{subver}

iconv -f ISO-8859-1 -t UTF8 ChangeLog -o ChangeLog.new
mv -f ChangeLog.new ChangeLog

%build
%configure2_5x --disable-selinux
%if %{with static}
	--enable-static-cryptsetup \
%endif
%if %{with compatible}
	--with-plain-mode=cbc-plain --with-luks1-keybits=128 \
%endif
# end of configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/libcryptsetup.la

%find_lang %{name}

%files -f %name.lang
%doc ChangeLog AUTHORS FAQ INSTALL NEWS README TODO
%{_sbindir}/cryptsetup
%{_sbindir}/veritysetup
%{_mandir}/man8/cryptsetup.8*
%{_mandir}/man8/veritysetup.8*

%files -n %dlibname
%{_includedir}/libcryptsetup.h
%if %{with static}
%{_libdir}/libcryptsetup.a
%endif
%{_libdir}/libcryptsetup.so
%{_libdir}/pkgconfig/libcryptsetup.pc

%files -n %libname
%{_libdir}/libcryptsetup.so.%{major}*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.5.1-2.mga3
+ Revision: 348312
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 colin <colin> 1.5.1-1.mga3
+ Revision: 311147
- New version: 1.5.1

* Tue Jul 24 2012 colin <colin> 1.5.0-1.mga3
+ Revision: 273982
- New version: 1.5.0 (needed for systemd >= 187)

* Fri Dec 09 2011 guillomovitch <guillomovitch> 1.4.1-1.mga2
+ Revision: 179493
- new version
- spec cleanup
- drop .la file

  + dlucio <dlucio>
    - 1.3.1

* Wed Apr 06 2011 ahmad <ahmad> 1.3.0-1.mga1
+ Revision: 81406
- update to 1.3.0
- fix ChangeLog encoding

* Sat Jan 15 2011 supp <supp> 1.2.0-2.mga1
+ Revision: 19001
- imported package cryptsetup

